Loading...
Searching...
No Matches
TrcPktDecodePtm Class Reference

`#include <trc_pkt_decode_ptm.h>`

Inheritance diagram for TrcPktDecodePtm:
[legend]
Collaboration diagram for TrcPktDecodePtm:
[legend]

## Public Member Functions

| TrcPktDecodePtm ()
| TrcPktDecodePtm (int instIDNum)
virtual | ~TrcPktDecodePtm ()
Public Member Functions inherited from TrcPktDecodeBase< PtmTrcPacket, PtmConfig >
| TrcPktDecodeBase (const char *component_name)
virtual | ~TrcPktDecodeBase ()
virtual ocsd_datapath_resp_t | PacketDataIn (const ocsd_datapath_op_t op, const ocsd_trc_index_t index_sop, const PtmTrcPacket *p_packet_in)
ocsd_err_t | setProtocolConfig (const PtmConfig *config)
const PtmConfig * | getProtocolConfig () const
Public Member Functions inherited from TrcPktDecodeI
| TrcPktDecodeI (const char *component_name)
| TrcPktDecodeI (const char *component_name, int instIDNum)
virtual | ~TrcPktDecodeI ()
componentAttachPt< ITrcGenElemIn > * | getTraceElemOutAttachPt ()
componentAttachPt< ITargetMemAccess > * | getMemoryAccessAttachPt ()
componentAttachPt< IInstrDecode > * | getInstrDecodeAttachPt ()
void | setUsesMemAccess (bool bUsesMemaccess)
const bool | getUsesMemAccess () const
void | setUsesIDecode (bool bUsesIDecode)
const bool | getUsesIDecode () const
Public Member Functions inherited from TraceComponent
| TraceComponent (const std::string &name)
| TraceComponent (const std::string &name, int instIDNum)
virtual | ~TraceComponent ()
const std::string & | getComponentName () const
void | setComponentName (const std::string &name)
componentAttachPt< ITraceErrorLog > * | getErrorLogAttachPt ()
ocsd_err_t | setComponentOpMode (uint32_t op_flags)
const uint32_t | getComponentOpMode () const
const uint32_t | getSupportedOpModes () const
void | setAssocComponent (TraceComponent *assocComp)
TraceComponent * | getAssocComponent ()
void | LogDefMessage (const std::string &msg)
Public Member Functions inherited from IPktDataIn< PtmTrcPacket >
| IPktDataIn ()
virtual | ~IPktDataIn ()
Public Member Functions inherited from ITrcTypedBase
| ITrcTypedBase ()
virtual | ~ITrcTypedBase ()

## Protected Member Functions

virtual ocsd_datapath_resp_t | processPacket ()
virtual ocsd_datapath_resp_t | onEOT ()
virtual ocsd_datapath_resp_t | onReset ()
virtual ocsd_datapath_resp_t | onFlush ()
virtual ocsd_err_t | onProtocolConfig ()
virtual const uint8_t | getCoreSightTraceID ()
Protected Member Functions inherited from TrcPktDecodeBase< PtmTrcPacket, PtmConfig >
void | ClearConfigObj ()
Protected Member Functions inherited from TrcPktDecodeI
const bool | checkInit ()
virtual void | onFirstInitOK ()
ocsd_datapath_resp_t | outputTraceElement (const OcsdTraceElement &elem)
ocsd_datapath_resp_t | outputTraceElementIdx (ocsd_trc_index_t idx, const OcsdTraceElement &elem)
ocsd_err_t | accessMemory (const ocsd_vaddr_t address, const ocsd_mem_space_acc_t mem_space, uint32_t *num_bytes, uint8_t *p_buffer)
ocsd_err_t | invalidateMemAccCache ()
ocsd_err_t | instrDecode (ocsd_instr_info *instr_info)
Protected Member Functions inherited from TraceComponent
void | LogError (const ocsdError &Error)
void | LogMessage (const ocsd_err_severity_t filter_level, const std::string &msg)
const ocsd_err_severity_t | getErrorLogLevel () const
const bool | isLoggingErrorLevel (const ocsd_err_severity_t level) const
void | updateErrorLogLevel ()
void | do_attach_notify (const int num_attached)
void | Init (const std::string &name)

## Additional Inherited Members

Protected Attributes inherited from TrcPktDecodeBase< PtmTrcPacket, PtmConfig >
PtmConfig * | m_config
const PtmTrcPacket * | m_curr_packet_in
Protected Attributes inherited from TrcPktDecodeI
componentAttachPt< ITrcGenElemIn > | m_trace_elem_out
componentAttachPt< ITargetMemAccess > | m_mem_access
componentAttachPt< IInstrDecode > | m_instr_decode
ocsd_trc_index_t | m_index_curr_pkt
bool | m_decode_init_ok
| set true if all attachments in place for decode. (remove checks in main throughput paths)
bool | m_config_init_ok
| set true if config set.
std::string | init_err_msg
| error message for init error
bool | m_uses_memaccess
bool | m_uses_idecode
Protected Attributes inherited from TraceComponent
uint32_t | m_op_flags
| current component operational mode flags.
uint32_t | m_supported_op_flags
| supported component operational mode flags - derived class to intialise.

## Detailed Description

Definition at line 101 of file trc_pkt_decode_ptm.h.

## Constructor & Destructor Documentation

## TrcPktDecodePtm() [1/2]

TrcPktDecodePtm::TrcPktDecodePtm | ( |  | ) |

## TrcPktDecodePtm() [2/2]

TrcPktDecodePtm::TrcPktDecodePtm | ( | int | instIDNum | ) |

## ~TrcPktDecodePtm()

virtual TrcPktDecodePtm::~TrcPktDecodePtm | ( |  | ) |

virtual

## Member Function Documentation

## getCoreSightTraceID()

virtual const uint8_t TrcPktDecodePtm::getCoreSightTraceID | ( |  | ) |

inline protected virtual

Implements TrcPktDecodeI.

Definition at line 115 of file trc_pkt_decode_ptm.h.

## onEOT()

virtual ocsd_datapath_resp_t TrcPktDecodePtm::onEOT | ( |  | ) |

protected virtual

Implements TrcPktDecodeI.

## onFlush()

virtual ocsd_datapath_resp_t TrcPktDecodePtm::onFlush | ( |  | ) |

protected virtual

Implements TrcPktDecodeI.

## onProtocolConfig()

virtual ocsd_err_t TrcPktDecodePtm::onProtocolConfig | ( |  | ) |

protected virtual

Implements TrcPktDecodeI.

## onReset()

virtual ocsd_datapath_resp_t TrcPktDecodePtm::onReset | ( |  | ) |

protected virtual

Implements TrcPktDecodeI.

## processPacket()

virtual ocsd_datapath_resp_t TrcPktDecodePtm::processPacket | ( |  | ) |

protected virtual

Implements TrcPktDecodeI.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/ptm/trc_pkt_decode_ptm.h